Importing skeinsum
[skeinsum.git] / makefile.in
1 # makefile.in generated by automake 1.11.3 from makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = skein256sum$(EXEEXT) skein512sum$(EXEEXT) \
37         skein1024sum$(EXEEXT)
38 subdir = .
39 DIST_COMMON = README $(am__configure_deps) $(include_HEADERS) \
40         $(srcdir)/config.h.in $(srcdir)/makefile.am \
41         $(srcdir)/makefile.in $(top_srcdir)/configure AUTHORS COPYING \
42         ChangeLog INSTALL NEWS depcomp install-sh missing
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48  configure.lineno config.status.lineno
49 mkinstalldirs = $(install_sh) -d
50 CONFIG_HEADER = config.h
51 CONFIG_CLEAN_FILES =
52 CONFIG_CLEAN_VPATH_FILES =
53 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"
54 PROGRAMS = $(bin_PROGRAMS)
55 am_skein1024sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
56         skein1024.$(OBJEXT) skein_block.$(OBJEXT) \
57         skein_debug.$(OBJEXT)
58 skein1024sum_OBJECTS = $(am_skein1024sum_OBJECTS)
59 skein1024sum_LDADD = $(LDADD)
60 am_skein256sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
61         skein256.$(OBJEXT) skein_block.$(OBJEXT) skein_debug.$(OBJEXT)
62 skein256sum_OBJECTS = $(am_skein256sum_OBJECTS)
63 skein256sum_LDADD = $(LDADD)
64 am_skein512sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
65         skein512.$(OBJEXT) skein_block.$(OBJEXT) skein_debug.$(OBJEXT)
66 skein512sum_OBJECTS = $(am_skein512sum_OBJECTS)
67 skein512sum_LDADD = $(LDADD)
68 DEFAULT_INCLUDES = -I.@am__isrc@
69 depcomp = $(SHELL) $(top_srcdir)/depcomp
70 am__depfiles_maybe = depfiles
71 am__mv = mv -f
72 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
73         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
74 CCLD = $(CC)
75 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 SOURCES = $(skein1024sum_SOURCES) $(skein256sum_SOURCES) \
77         $(skein512sum_SOURCES)
78 DIST_SOURCES = $(skein1024sum_SOURCES) $(skein256sum_SOURCES) \
79         $(skein512sum_SOURCES)
80 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
81 am__vpath_adj = case $$p in \
82     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
83     *) f=$$p;; \
84   esac;
85 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
86 am__install_max = 40
87 am__nobase_strip_setup = \
88   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
89 am__nobase_strip = \
90   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
91 am__nobase_list = $(am__nobase_strip_setup); \
92   for p in $$list; do echo "$$p $$p"; done | \
93   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
94   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
95     if (++n[$$2] == $(am__install_max)) \
96       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
97     END { for (dir in files) print dir, files[dir] }'
98 am__base_list = \
99   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
100   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
101 am__uninstall_files_from_dir = { \
102   test -z "$$files" \
103     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
104     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
105          $(am__cd) "$$dir" && rm -f $$files; }; \
106   }
107 HEADERS = $(include_HEADERS)
108 ETAGS = etags
109 CTAGS = ctags
110 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
111 distdir = $(PACKAGE)-$(VERSION)
112 top_distdir = $(distdir)
113 am__remove_distdir = \
114   if test -d "$(distdir)"; then \
115     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
116       && rm -rf "$(distdir)" \
117       || { sleep 5 && rm -rf "$(distdir)"; }; \
118   else :; fi
119 DIST_ARCHIVES = $(distdir).tar.gz
120 GZIP_ENV = --best
121 distuninstallcheck_listfiles = find . -type f -print
122 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
123   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
124 distcleancheck_listfiles = find . -type f -print
125 ACLOCAL = @ACLOCAL@
126 AMTAR = @AMTAR@
127 AUTOCONF = @AUTOCONF@
128 AUTOHEADER = @AUTOHEADER@
129 AUTOMAKE = @AUTOMAKE@
130 AWK = @AWK@
131 CC = @CC@
132 CCDEPMODE = @CCDEPMODE@
133 CFLAGS = @CFLAGS@
134 CPP = @CPP@
135 CPPFLAGS = @CPPFLAGS@
136 CYGPATH_W = @CYGPATH_W@
137 DEFS = @DEFS@
138 DEPDIR = @DEPDIR@
139 ECHO_C = @ECHO_C@
140 ECHO_N = @ECHO_N@
141 ECHO_T = @ECHO_T@
142 EGREP = @EGREP@
143 EXEEXT = @EXEEXT@
144 GREP = @GREP@
145 INSTALL = @INSTALL@
146 INSTALL_DATA = @INSTALL_DATA@
147 INSTALL_PROGRAM = @INSTALL_PROGRAM@
148 INSTALL_SCRIPT = @INSTALL_SCRIPT@
149 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
150 LDFLAGS = @LDFLAGS@
151 LIBOBJS = @LIBOBJS@
152 LIBS = @LIBS@
153 LTLIBOBJS = @LTLIBOBJS@
154 MAKEINFO = @MAKEINFO@
155 MKDIR_P = @MKDIR_P@
156 OBJEXT = @OBJEXT@
157 PACKAGE = @PACKAGE@
158 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
159 PACKAGE_NAME = @PACKAGE_NAME@
160 PACKAGE_STRING = @PACKAGE_STRING@
161 PACKAGE_TARNAME = @PACKAGE_TARNAME@
162 PACKAGE_URL = @PACKAGE_URL@
163 PACKAGE_VERSION = @PACKAGE_VERSION@
164 PATH_SEPARATOR = @PATH_SEPARATOR@
165 SET_MAKE = @SET_MAKE@
166 SHELL = @SHELL@
167 STRIP = @STRIP@
168 VERSION = @VERSION@
169 abs_builddir = @abs_builddir@
170 abs_srcdir = @abs_srcdir@
171 abs_top_builddir = @abs_top_builddir@
172 abs_top_srcdir = @abs_top_srcdir@
173 ac_ct_CC = @ac_ct_CC@
174 am__include = @am__include@
175 am__leading_dot = @am__leading_dot@
176 am__quote = @am__quote@
177 am__tar = @am__tar@
178 am__untar = @am__untar@
179 bindir = @bindir@
180 build_alias = @build_alias@
181 builddir = @builddir@
182 datadir = @datadir@
183 datarootdir = @datarootdir@
184 docdir = @docdir@
185 dvidir = @dvidir@
186 exec_prefix = @exec_prefix@
187 host_alias = @host_alias@
188 htmldir = @htmldir@
189 includedir = @includedir@
190 infodir = @infodir@
191 install_sh = @install_sh@
192 libdir = @libdir@
193 libexecdir = @libexecdir@
194 localedir = @localedir@
195 localstatedir = @localstatedir@
196 mandir = @mandir@
197 mkdir_p = @mkdir_p@
198 oldincludedir = @oldincludedir@
199 pdfdir = @pdfdir@
200 prefix = @prefix@
201 program_transform_name = @program_transform_name@
202 psdir = @psdir@
203 sbindir = @sbindir@
204 sharedstatedir = @sharedstatedir@
205 srcdir = @srcdir@
206 sysconfdir = @sysconfdir@
207 target_alias = @target_alias@
208 top_build_prefix = @top_build_prefix@
209 top_builddir = @top_builddir@
210 top_srcdir = @top_srcdir@
211 skein256sum_SOURCES = SHA3api_ref.c skein.c skein256.c skein_block.c skein_debug.c
212 skein512sum_SOURCES = SHA3api_ref.c skein.c skein512.c skein_block.c skein_debug.c
213 skein1024sum_SOURCES = SHA3api_ref.c skein.c skein1024.c skein_block.c skein_debug.c
214 include_HEADERS = brg_endian.h brg_types.h SHA3api_ref.h skein.h skein_debug.h skein_port.h
215 all: config.h
216         $(MAKE) $(AM_MAKEFLAGS) all-am
217
218 .SUFFIXES:
219 .SUFFIXES: .c .o .obj
220 am--refresh: makefile
221         @:
222 $(srcdir)/makefile.in:  $(srcdir)/makefile.am  $(am__configure_deps)
223         @for dep in $?; do \
224           case '$(am__configure_deps)' in \
225             *$$dep*) \
226               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
227               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
228                 && exit 0; \
229               exit 1;; \
230           esac; \
231         done; \
232         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu makefile'; \
233         $(am__cd) $(top_srcdir) && \
234           $(AUTOMAKE) --gnu makefile
235 .PRECIOUS: makefile
236 makefile: $(srcdir)/makefile.in $(top_builddir)/config.status
237         @case '$?' in \
238           *config.status*) \
239             echo ' $(SHELL) ./config.status'; \
240             $(SHELL) ./config.status;; \
241           *) \
242             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
243             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
244         esac;
245
246 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
247         $(SHELL) ./config.status --recheck
248
249 $(top_srcdir)/configure:  $(am__configure_deps)
250         $(am__cd) $(srcdir) && $(AUTOCONF)
251 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
252         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
253 $(am__aclocal_m4_deps):
254
255 config.h: stamp-h1
256         @if test ! -f $@; then rm -f stamp-h1; else :; fi
257         @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
258
259 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
260         @rm -f stamp-h1
261         cd $(top_builddir) && $(SHELL) ./config.status config.h
262 $(srcdir)/config.h.in:  $(am__configure_deps) 
263         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
264         rm -f stamp-h1
265         touch $@
266
267 distclean-hdr:
268         -rm -f config.h stamp-h1
269 install-binPROGRAMS: $(bin_PROGRAMS)
270         @$(NORMAL_INSTALL)
271         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
272         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
273         for p in $$list; do echo "$$p $$p"; done | \
274         sed 's/$(EXEEXT)$$//' | \
275         while read p p1; do if test -f $$p; \
276           then echo "$$p"; echo "$$p"; else :; fi; \
277         done | \
278         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
279             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
280         sed 'N;N;N;s,\n, ,g' | \
281         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
282           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
283             if ($$2 == $$4) files[d] = files[d] " " $$1; \
284             else { print "f", $$3 "/" $$4, $$1; } } \
285           END { for (d in files) print "f", d, files[d] }' | \
286         while read type dir files; do \
287             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
288             test -z "$$files" || { \
289               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
290               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
291             } \
292         ; done
293
294 uninstall-binPROGRAMS:
295         @$(NORMAL_UNINSTALL)
296         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
297         files=`for p in $$list; do echo "$$p"; done | \
298           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
299               -e 's/$$/$(EXEEXT)/' `; \
300         test -n "$$list" || exit 0; \
301         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
302         cd "$(DESTDIR)$(bindir)" && rm -f $$files
303
304 clean-binPROGRAMS:
305         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
306 skein1024sum$(EXEEXT): $(skein1024sum_OBJECTS) $(skein1024sum_DEPENDENCIES) $(EXTRA_skein1024sum_DEPENDENCIES) 
307         @rm -f skein1024sum$(EXEEXT)
308         $(LINK) $(skein1024sum_OBJECTS) $(skein1024sum_LDADD) $(LIBS)
309 skein256sum$(EXEEXT): $(skein256sum_OBJECTS) $(skein256sum_DEPENDENCIES) $(EXTRA_skein256sum_DEPENDENCIES) 
310         @rm -f skein256sum$(EXEEXT)
311         $(LINK) $(skein256sum_OBJECTS) $(skein256sum_LDADD) $(LIBS)
312 skein512sum$(EXEEXT): $(skein512sum_OBJECTS) $(skein512sum_DEPENDENCIES) $(EXTRA_skein512sum_DEPENDENCIES) 
313         @rm -f skein512sum$(EXEEXT)
314         $(LINK) $(skein512sum_OBJECTS) $(skein512sum_LDADD) $(LIBS)
315
316 mostlyclean-compile:
317         -rm -f *.$(OBJEXT)
318
319 distclean-compile:
320         -rm -f *.tab.c
321
322 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SHA3api_ref.Po@am__quote@
323 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein.Po@am__quote@
324 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein1024.Po@am__quote@
325 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein256.Po@am__quote@
326 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein512.Po@am__quote@
327 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein_block.Po@am__quote@
328 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein_debug.Po@am__quote@
329
330 .c.o:
331 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
332 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
333 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
334 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
335 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
336
337 .c.obj:
338 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
339 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
340 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
341 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
342 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
343 install-includeHEADERS: $(include_HEADERS)
344         @$(NORMAL_INSTALL)
345         test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
346         @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
347         for p in $$list; do \
348           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
349           echo "$$d$$p"; \
350         done | $(am__base_list) | \
351         while read files; do \
352           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
353           $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
354         done
355
356 uninstall-includeHEADERS:
357         @$(NORMAL_UNINSTALL)
358         @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
359         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
360         dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
361
362 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
363         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
364         unique=`for i in $$list; do \
365             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
366           done | \
367           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
368               END { if (nonempty) { for (i in files) print i; }; }'`; \
369         mkid -fID $$unique
370 tags: TAGS
371
372 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
373                 $(TAGS_FILES) $(LISP)
374         set x; \
375         here=`pwd`; \
376         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
377         unique=`for i in $$list; do \
378             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
379           done | \
380           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
381               END { if (nonempty) { for (i in files) print i; }; }'`; \
382         shift; \
383         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
384           test -n "$$unique" || unique=$$empty_fix; \
385           if test $$# -gt 0; then \
386             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
387               "$$@" $$unique; \
388           else \
389             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
390               $$unique; \
391           fi; \
392         fi
393 ctags: CTAGS
394 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
395                 $(TAGS_FILES) $(LISP)
396         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
397         unique=`for i in $$list; do \
398             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
399           done | \
400           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
401               END { if (nonempty) { for (i in files) print i; }; }'`; \
402         test -z "$(CTAGS_ARGS)$$unique" \
403           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
404              $$unique
405
406 GTAGS:
407         here=`$(am__cd) $(top_builddir) && pwd` \
408           && $(am__cd) $(top_srcdir) \
409           && gtags -i $(GTAGS_ARGS) "$$here"
410
411 distclean-tags:
412         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
413
414 distdir: $(DISTFILES)
415         $(am__remove_distdir)
416         test -d "$(distdir)" || mkdir "$(distdir)"
417         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
418         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
419         list='$(DISTFILES)'; \
420           dist_files=`for file in $$list; do echo $$file; done | \
421           sed -e "s|^$$srcdirstrip/||;t" \
422               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
423         case $$dist_files in \
424           */*) $(MKDIR_P) `echo "$$dist_files" | \
425                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
426                            sort -u` ;; \
427         esac; \
428         for file in $$dist_files; do \
429           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
430           if test -d $$d/$$file; then \
431             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
432             if test -d "$(distdir)/$$file"; then \
433               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
434             fi; \
435             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
436               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
437               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
438             fi; \
439             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
440           else \
441             test -f "$(distdir)/$$file" \
442             || cp -p $$d/$$file "$(distdir)/$$file" \
443             || exit 1; \
444           fi; \
445         done
446         -test -n "$(am__skip_mode_fix)" \
447         || find "$(distdir)" -type d ! -perm -755 \
448                 -exec chmod u+rwx,go+rx {} \; -o \
449           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
450           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
451           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
452         || chmod -R a+r "$(distdir)"
453 dist-gzip: distdir
454         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
455         $(am__remove_distdir)
456
457 dist-bzip2: distdir
458         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
459         $(am__remove_distdir)
460
461 dist-lzip: distdir
462         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
463         $(am__remove_distdir)
464
465 dist-lzma: distdir
466         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
467         $(am__remove_distdir)
468
469 dist-xz: distdir
470         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
471         $(am__remove_distdir)
472
473 dist-tarZ: distdir
474         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
475         $(am__remove_distdir)
476
477 dist-shar: distdir
478         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
479         $(am__remove_distdir)
480
481 dist-zip: distdir
482         -rm -f $(distdir).zip
483         zip -rq $(distdir).zip $(distdir)
484         $(am__remove_distdir)
485
486 dist dist-all: distdir
487         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
488         $(am__remove_distdir)
489
490 # This target untars the dist file and tries a VPATH configuration.  Then
491 # it guarantees that the distribution is self-contained by making another
492 # tarfile.
493 distcheck: dist
494         case '$(DIST_ARCHIVES)' in \
495         *.tar.gz*) \
496           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
497         *.tar.bz2*) \
498           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
499         *.tar.lzma*) \
500           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
501         *.tar.lz*) \
502           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
503         *.tar.xz*) \
504           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
505         *.tar.Z*) \
506           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
507         *.shar.gz*) \
508           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
509         *.zip*) \
510           unzip $(distdir).zip ;;\
511         esac
512         chmod -R a-w $(distdir); chmod a+w $(distdir)
513         mkdir $(distdir)/_build
514         mkdir $(distdir)/_inst
515         chmod a-w $(distdir)
516         test -d $(distdir)/_build || exit 0; \
517         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
518           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
519           && am__cwd=`pwd` \
520           && $(am__cd) $(distdir)/_build \
521           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
522             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
523             $(DISTCHECK_CONFIGURE_FLAGS) \
524           && $(MAKE) $(AM_MAKEFLAGS) \
525           && $(MAKE) $(AM_MAKEFLAGS) dvi \
526           && $(MAKE) $(AM_MAKEFLAGS) check \
527           && $(MAKE) $(AM_MAKEFLAGS) install \
528           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
529           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
530           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
531                 distuninstallcheck \
532           && chmod -R a-w "$$dc_install_base" \
533           && ({ \
534                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
535                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
536                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
537                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
538                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
539               } || { rm -rf "$$dc_destdir"; exit 1; }) \
540           && rm -rf "$$dc_destdir" \
541           && $(MAKE) $(AM_MAKEFLAGS) dist \
542           && rm -rf $(DIST_ARCHIVES) \
543           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
544           && cd "$$am__cwd" \
545           || exit 1
546         $(am__remove_distdir)
547         @(echo "$(distdir) archives ready for distribution: "; \
548           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
549           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
550 distuninstallcheck:
551         @test -n '$(distuninstallcheck_dir)' || { \
552           echo 'ERROR: trying to run $@ with an empty' \
553                '$$(distuninstallcheck_dir)' >&2; \
554           exit 1; \
555         }; \
556         $(am__cd) '$(distuninstallcheck_dir)' || { \
557           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
558           exit 1; \
559         }; \
560         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
561            || { echo "ERROR: files left after uninstall:" ; \
562                 if test -n "$(DESTDIR)"; then \
563                   echo "  (check DESTDIR support)"; \
564                 fi ; \
565                 $(distuninstallcheck_listfiles) ; \
566                 exit 1; } >&2
567 distcleancheck: distclean
568         @if test '$(srcdir)' = . ; then \
569           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
570           exit 1 ; \
571         fi
572         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
573           || { echo "ERROR: files left in build directory after distclean:" ; \
574                $(distcleancheck_listfiles) ; \
575                exit 1; } >&2
576 check-am: all-am
577 check: check-am
578 all-am: makefile $(PROGRAMS) $(HEADERS) config.h
579 installdirs:
580         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"; do \
581           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
582         done
583 install: install-am
584 install-exec: install-exec-am
585 install-data: install-data-am
586 uninstall: uninstall-am
587
588 install-am: all-am
589         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
590
591 installcheck: installcheck-am
592 install-strip:
593         if test -z '$(STRIP)'; then \
594           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
595             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
596               install; \
597         else \
598           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
599             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
600             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
601         fi
602 mostlyclean-generic:
603
604 clean-generic:
605
606 distclean-generic:
607         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
608         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
609
610 maintainer-clean-generic:
611         @echo "This command is intended for maintainers to use"
612         @echo "it deletes files that may require special tools to rebuild."
613 clean: clean-am
614
615 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
616
617 distclean: distclean-am
618         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
619         -rm -rf ./$(DEPDIR)
620         -rm -f makefile
621 distclean-am: clean-am distclean-compile distclean-generic \
622         distclean-hdr distclean-tags
623
624 dvi: dvi-am
625
626 dvi-am:
627
628 html: html-am
629
630 html-am:
631
632 info: info-am
633
634 info-am:
635
636 install-data-am: install-includeHEADERS
637
638 install-dvi: install-dvi-am
639
640 install-dvi-am:
641
642 install-exec-am: install-binPROGRAMS
643
644 install-html: install-html-am
645
646 install-html-am:
647
648 install-info: install-info-am
649
650 install-info-am:
651
652 install-man:
653
654 install-pdf: install-pdf-am
655
656 install-pdf-am:
657
658 install-ps: install-ps-am
659
660 install-ps-am:
661
662 installcheck-am:
663
664 maintainer-clean: maintainer-clean-am
665         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
666         -rm -rf $(top_srcdir)/autom4te.cache
667         -rm -rf ./$(DEPDIR)
668         -rm -f makefile
669 maintainer-clean-am: distclean-am maintainer-clean-generic
670
671 mostlyclean: mostlyclean-am
672
673 mostlyclean-am: mostlyclean-compile mostlyclean-generic
674
675 pdf: pdf-am
676
677 pdf-am:
678
679 ps: ps-am
680
681 ps-am:
682
683 uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS
684
685 .MAKE: all install-am install-strip
686
687 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
688         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
689         dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ dist-xz \
690         dist-zip distcheck distclean distclean-compile \
691         distclean-generic distclean-hdr distclean-tags distcleancheck \
692         distdir distuninstallcheck dvi dvi-am html html-am info \
693         info-am install install-am install-binPROGRAMS install-data \
694         install-data-am install-dvi install-dvi-am install-exec \
695         install-exec-am install-html install-html-am \
696         install-includeHEADERS install-info install-info-am \
697         install-man install-pdf install-pdf-am install-ps \
698         install-ps-am install-strip installcheck installcheck-am \
699         installdirs maintainer-clean maintainer-clean-generic \
700         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
701         ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
702         uninstall-includeHEADERS
703
704
705 # Tell versions [3.59,3.63) of GNU make to not export all variables.
706 # Otherwise a system limit (for SysV at least) may be exceeded.
707 .NOEXPORT: